Subject: fork problem in latest snapshot on Win98
From: [email-masked] (Eric Blake)
To: [email-masked]
Date: Thu, 17 Nov 2005 04:18:06 +0000

I'm getting a repeatable fork memory allocation error with snapshot
20051116 on Win98, when trying to build CVS head of libtool; this was
not a problem with 20051020.

$ make
cd . && /bin/sh ./config.status libtool
config.status: executing libtool commands
make  all-recursive
make[1]: Entering directory `/home/eblake/libtool'
make[2]: Entering directory `/home/eblake/libtool'
if /bin/sh ./libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.
-DLTDLOPEN=libltdl -DLT_CONFIG_H='<config.h>' -DLTDL -I. -I. -Ilibltdl -I./liblt
dl -I./libltdl/libltdl   -g2 -Wall -MT libltdl/loaders/libltdl_libltdl_la-preope
n.lo -MD -MP -MF "libltdl/loaders/.deps/libltdl_libltdl_la-preopen.Tpo" -c -o li
bltdl/loaders/libltdl_libltdl_la-preopen.lo `test -f 'libltdl/loaders/preopen.c'
 || echo './'`libltdl/loaders/preopen.c; \
then mv -f "libltdl/loaders/.deps/libltdl_libltdl_la-preopen.Tpo" "libltdl/loade
rs/.deps/libltdl_libltdl_la-preopen.Plo"; else rm -f "libltdl/loaders/.deps/libl
tdl_libltdl_la-preopen.Tpo"; exit 1; fi
[Popup box - "This program has performed an illegal operation
and will be shut down...
SH caused an invalid page fault in
module CYGWIN1.DLL at 015f:6108c79c.]
    890 [main] sh 16120485 fork_copy: user/cygwin data pass 0 failed, 0x456000..
0x458290, done 0, windows pid 4278937159, Win32 error 1067
./libtool: fork: No error
make[2]: *** [libltdl/loaders/libltdl_libltdl_la-preopen.lo] Error 1
make[2]: Leaving directory `/home/eblake/libtool'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/eblake/libtool'
make: *** [all] Error 2
$ strace -o ../strace.txt make
make: *** [vcl-tmp] Segmentation fault (core dumped)

What makes it particularly weird is that ./libtool reports "fork: No error".
I'm guessing it is something in the snapshot, since the popup box
refers to a cygwin address, but don't know what to look for in the
strace for a more accurate diagnosis.  The attached .bz2 contains
both the strace and my cygcheck output.

--
Eric Blake
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/